petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscSpaceSetDegree

Set the degree of approximation for this space.

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscSpaceSetDegree(PetscSpace sp, PetscInt degree, PetscInt maxDegree)

### Input Parameters

| sp | - The PetscSpace
| degree | - The degree of the largest polynomial space contained in the space
| maxDegree | - The degree of the largest polynomial space containing the space. One of degree and maxDegree can be PETSC_DETERMINE.

### See Also

PetscSpaceGetDegree(), PetscSpaceCreate(), PetscSpace

### Level

intermediate

### Location

src/dm/dt/space/interface/space.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages